Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

modify entity during an open dialoge box

6 REPLIES 6
Reply
Message 1 of 7
Anonymous
158 Views, 6 Replies

modify entity during an open dialoge box

Hi,

I use this under a button to rotate a block during an open dialoge box.

(entmod (subst (cons 50 (+ (rng (cdr (assoc 50 (entget enm)))) tel))
(assoc 50 (entget enm)) (entget enm))) (entupd enm)

It works, but the rotation of the block, wil only get visible when I
reposition the dialogebox.

Can it be made to make the block rotate instantly?

Hope someone can help.

M
6 REPLIES 6
Message 2 of 7
Tom Smith
in reply to: Anonymous

AFAIK, no.
Message 3 of 7
Anonymous
in reply to: Anonymous

"discussion.autodesk.com" wrote in message news:5793630@discussion.autodesk.com...
Hi,

I use this under a button to rotate a block during an open dialoge box.

(entmod (subst (cons 50 (+ (rng (cdr (assoc 50 (entget enm)))) tel))
(assoc 50 (entget enm)) (entget enm))) (entupd enm)

It works, but the rotation of the block, wil only get visible when I
reposition the dialogebox.

Can it be made to make the block rotate instantly?

Hope someone can help.

M

You could simply hide the dialog box when you press the button to rotate the block and restore it afterwards.
It may happen so quickly that it is essentially invisible.

Regards,

Mel
Message 4 of 7
pciganek
in reply to: Anonymous

Try this:

add (vl-load-com) at the start of your function and call

(vla-ZoomScaled
(vlax-get-acad-object)
1.0 acZoomScaledRelative
)

after each entmod - this "refreshes" the screen.

Peter
Message 5 of 7
dgorsman
in reply to: Anonymous

I do this sort of function differently - hide the dialog box and check for mouse input, right click rotates it one increment, left click returns to the dialog.
----------------------------------
If you are going to fly by the seat of your pants, expect friction burns.
"I don't know" is the beginning of knowledge, not the end.


Message 6 of 7
Anonymous
in reply to: Anonymous

I thought it would flip to much, but I can barely see it.

Thanx!

"MelFranks" schreef in bericht
news:5794037@discussion.autodesk.com...
"discussion.autodesk.com" wrote in message
news:5793630@discussion.autodesk.com...
Hi,

I use this under a button to rotate a block during an open dialoge box.

(entmod (subst (cons 50 (+ (rng (cdr (assoc 50 (entget enm)))) tel))
(assoc 50 (entget enm)) (entget enm))) (entupd enm)

It works, but the rotation of the block, wil only get visible when I
reposition the dialogebox.

Can it be made to make the block rotate instantly?

Hope someone can help.

M

You could simply hide the dialog box when you press the button to rotate the
block and restore it afterwards.
It may happen so quickly that it is essentially invisible.

Regards,

Mel
Message 7 of 7
Anonymous
in reply to: Anonymous

Interesting. I´ll check it out. Thanx!

schreef in bericht news:5794101@discussion.autodesk.com...
Try this:

add (vl-load-com) at the start of your function and call

(vla-ZoomScaled
(vlax-get-acad-object)
1.0 acZoomScaledRelative
)

after each entmod - this "refreshes" the screen.

Peter

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

”Boost